import * as queryOptions from '../queryOptionTypes';
import { DayScheduleResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class UserSchedule extends Collection {
    get(options?: queryOptions.DateRange): Promise<ResultSetResponse<DayScheduleResponse>>;
    getForUser(accountId: string, options?: queryOptions.DateRange): Promise<ResultSetResponse<DayScheduleResponse>>;
}
