export declare type Method = 'get' | 'GET' | 'delete' | 'DELETE' | 'head' | 'HEAD' | 'options' | 'OPTIONS' | 'post' | 'POST' | 'put' | 'PUT' | 'patch' | 'PATCH';
export declare type Body = unknown;
declare type Response = unknown;
export interface RequestBaseConfig {
    adapter?: (config: RequestConfig) => Promise<Response>;
    timeout?: number;
    headers?: {
        Authorization: string;
    };
}
export interface RequestConfig extends RequestBaseConfig {
    url: string;
    method: Method;
    body?: Body;
}
export {};
