import * as queryOptions from '../queryOptionTypes';
import { AccountCategory } from '../requestTypes';
import { AccountCategoryResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class AccountCategories extends Collection {
    post(accountCategory: AccountCategory): Promise<AccountCategoryResponse>;
    get(options?: queryOptions.Id): Promise<ResultSetResponse<AccountCategoryResponse>>;
    getAccountCategory(key: string): Promise<AccountCategoryResponse>;
    putAccountCategory(key: string, accountCategory: AccountCategory): Promise<AccountCategoryResponse>;
    deleteAccountCategory(key: string): Promise<void>;
}
