import { AccountLink } from '../requestTypes';
import { AccountLinkByScopeResponse, AccountLinkResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class AccountLinks extends Collection {
    post(accountLink: AccountLink): Promise<AccountLinkResponse>;
    getAccountLink(id: string): Promise<AccountLinkResponse>;
    deleteAccountLink(id: string): Promise<void>;
    getForProject(projectKey: string): Promise<ResultSetResponse<AccountLinkByScopeResponse>>;
}
