import { Program } from '../requestTypes';
import { ProgramResponse, ResultSetResponse, TeamRefResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Programs extends Collection {
    get(): Promise<ResultSetResponse<ProgramResponse>>;
    post(program: Program): Promise<ProgramResponse>;
    getProgram(id: string): Promise<ProgramResponse>;
    putProgram(id: string, program: Program): Promise<ProgramResponse>;
    deleteProgram(id: string): Promise<void>;
    getTeamsForProgram(id: string): Promise<ResultSetResponse<TeamRefResponse>>;
}
