import { TeamLink } from '../requestTypes';
import { ResultSetResponse, TeamLinkByScopeResponse, TeamLinkResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class TeamLinks extends Collection {
    post(teamLink: TeamLink): Promise<TeamLinkResponse>;
    getTeamLink(id: string): Promise<TeamLinkResponse>;
    deleteTeamLink(id: string): Promise<void>;
    getForProject(projectKey: string): Promise<ResultSetResponse<TeamLinkByScopeResponse>>;
}
