import { TeamMembership, TeamMembershipNew } from '../requestTypes';
import { TeamMemberMembershipFullResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class TeamMemberships extends Collection {
    post(teamMembership: TeamMembershipNew): Promise<TeamMemberMembershipFullResponse>;
    getTeamMembership(id: string): Promise<TeamMemberMembershipFullResponse>;
    putTeamMembership(id: string, teamMembership: TeamMembership): Promise<TeamMemberMembershipFullResponse>;
    deleteTeamMembership(id: string): Promise<void>;
}
